Frank
Thomas
frank@thomas-alfeld.de
Peter
Bailis
pbailis@gmail.com
2007
2008
University of California
&date;
&boinccmd;
1

# &boinccmd;

command line interface to the BOINC core client

            &cmd_boinccmd;
            --host hostname:port
            --passwd passwd
            command

            &cmd_boinccmd;
            -hV

Notice that the order of the options is important. The `--host` and `--passwd` options must precede any command.

## DESCRIPTION

The BOINC command tool (&cmd_boinccmd;) provides a command line interface to a running BOINC core client (&man_boinc;).

## OPTIONS

`--host` hostname:port

  Connect to the host hostname. The default host is localhost.

`--passwd` passwd

  Use passwd as password for RPC authentication. If the current working directory contains a file `gui_rpc_auth.cfg`, &cmd_boinccmd; will read the password from this file.

`-h`, `--help`

  Show a help message and all commands.

`-V`, `--version`

  Show the version of the program.

## COMMANDS

### Account query and attach

`--lookup_account` URL email passwd

  Look up account and print account key.

`--create_account` URL email passwd name

  Create account with the given email address, password, and user name.

`--project_attach` URL account_key

  Attach to an account.

`--join_acct_mgr` URL name passwd

  Attach to an account manager (or do RPC if already attached).

`--quit_acct_mgr`

  Detach from the current account manager.

### State queries

`--get_state`

  Show complete client state.

`--get_results`

  Show all results.

`--get_simple_gui_info`

  Show status of projects and active results.

`--get_file_transfers`

  Show all current file transfers.

`--get_project_status`

  Show status of all projects.

`--get_disk_usage`

  Show disk usage of all projects.

`--get_proxy_settings`

  Get proxy settings.

`--get_messages` seqno

  Show messages with sequence numbers beyond seqno.

`--get_host_info`

  Show system information about the host where the BOINC client is running.

### Control operations

`--result` URL result_name {suspend | resume | abort | graphics_window | graphics_fullscreen} `--desktop` dt | `--window_station` ws | `--display` dp

  Do operation on a result.

  `suspend`

    Temporarily stop work on result.

  `resume`

    Allow work on result.

  `abort`

    Permanently stop work on result.

  `graphics_window`

    Open graphics in a window. The optional desktop / window_station (Windows) or display (X11) arguments specify the display.

  `graphics_fullscreen`

    Open graphics fullscreen.

`--project` URL {reset | detach | update | suspend | resume | nomorework | allowmorework | detach_when_done}

  Do operation on a project, identified by its master URL.

  `reset`

    Delete current work and get more.

  `detach`

    Delete current work and don't get more.

  `update`

    Contact scheduling server.

  `suspend`

    Stop work for project.

  `resume`

    Resume work for project.

  `nomorework`

    Finish current work but don't get more.

  `allowmorework`

    Undo `nomorework`.

  `detach_when_done`

    Detach project.

`--file_transfer` URL filename {retry | abort}

  Do operation on a file transfer.

`--set_run_mode` {always | auto | never} duration

  Set run mode.

  `always`

    Do CPU work always.

  `auto`

    Do work only when allowed by preferences.

  `never`

    Don't do work.

  If duration is zero or absent, this mode is permanent. Otherwise, after duration seconds elapse, revert to last permanent mode.

`--set_network_mode` {always | auto | never} duration

  Set network mode. Like `--set_run_mode` but applies to network transfers only.

`--set_proxy_settings` http_server_name http_server_port http_user_name http_user_passwd socks_server_name socks_server_port socks_version socks5_user_name socks5_user_passwd

  Set proxy settings. All fields are mandantory.

`--run_benchmarks`

  Run CPU benchmarks.

`--set_screensaver_mode` {on | off} blank_time `--desktop` dt | `--window_station` ws | `--display` dp

  Tell the core client to start or stop doing fullscreen graphics, and going to black after blank_time seconds. The optional arguments specify which desktop / windows_station (Windows) or display (X11) to use.

`--read_global_prefs_override`

  Tell the core client to read the `global_prefs_override.xml` file and incorporate any global preferences indicated there.

`--quit`

  Tell the core client to quit.

`--read_cc_config`

  Reread the configuration file (`cc_config.xml`).

`--set_debts` URL1 STD1 LTD1 URL2 STD2 LTD2 ...

  Set the short- and long-term debts of one or more projects. Note, if you adjust the debts of a single project, the debts of other projects are changed. So if you want to set the debts of multiple projects, do it in a single command.

`--get_project_config` URL

  Fetch configuration at project located at URL.

`--get_project_config_poll`
`--network_available`
`--get_cc_status`

## SEE ALSO

&man_boinc;, &man_boincmgr;

## COPYRIGHT

Copyright © 2007-2008 University of California.

Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.